# Lịch sử IMEI

* Tính năng này dùng để lấy danh sách lịch sử của IMEI trên Nhanh.vn. Dữ liệu sẽ được phân trang, mỗi trang tối đa không quá 100 lịch sử.

## Request

* Xem [common request params](/v3/readme.md#request-params).
* Xem [Postman sample](/v3/product/imeihistory.md).

```curl
curl --location 'https://pos.open.nhanh.vn/v3.0/product/imeihistory?appId={{appId}}&businessId={{businessId}}' \
--header 'Authorization: {{accessToken}}' \
--header 'Content-Type: application/json'
--data '{
    "filters": {
        "imei": "9316254891976"
    },
    "paginator": {
        "size": 100
    }
}'
```

### Filters

| Key  | Type                          | Description   |
| ---- | ----------------------------- | ------------- |
| imei | string $$^{{\color{red}\*}}$$ | IMEI sản phẩm |

## Response

* Xem cấu trúc chung [tại đây](/v3/readme.md#response).

### Failed response

* Xem các mã lỗi chung [tại đây](/v3/readme.md#failed-response).

### Successful response

```json
{
  "code": 1,
  "paginator": {
    "next": "Dùng để lấy dữ liệu trang tiếp theo"
  },
  "data": [
    {
      "step": {
        "id": "(int) Hành động",
        "name": "(string) Tên hành động"
      },
      "itemType": "(int) Loại phiếu ( 1 = Hóa đơn, 2 = Hóa đơn khách hàng, 3 = Đơn hàng, 4 = Bảo hành, 5 = Chuyển kho)",
      "itemId": "(int) ID phiếu",
      "supplier": {
        "id": "(int) ID nhà cung cấp",
        "name": "(string) Tên nhà cung cấp"
      },
      "sale": {
        "id": "(int) ID nhân viên bán hàng",
        "name": "(string) Tên nhân viên bán hàng"
      },
      "product": {
        "id": "(int) ID sản phẩm",
        "name": "(string) Tên sản phẩm",
        "code": "(string) Mã sản phẩm",
        "barcode": "(string) Mã vạch sản phẩm"
      },
      "createdAt": "Thời gian tạo (định dạng timestamp)"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.nhanh.vn/v3/product/imeihistory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
